nl.tudelft.simulation.examples.dsol.timesharedcomputer

## Class Computer.ExitCounter

- java.lang.Object
- - nl.tudelft.simulation.event.EventProducer
  - - nl.tudelft.simulation.jstats.statistics.StatisticsObject
    - - nl.tudelft.simulation.jstats.statistics.Counter
      - - nl.tudelft.simulation.dsol.statistics.Counter<Double,Double,SimTimeDouble>
        - - nl.tudelft.simulation.examples.dsol.timesharedcomputer.Computer.ExitCounter

All Implemented Interfaces:
  Serializable, EventListener, EventListenerInterface, EventProducerInterface, Swingable

Enclosing class:
  Computer

    public static class Computer.ExitCounter
    extends Counter<Double,Double,SimTimeDouble>

A counter which stops after a predifined number of jobs.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class nl.tudelft.simulation.jstats.statistics.Counter

`count, COUNT_EVENT, description, n, N_EVENT`

### Fields inherited from class nl.tudelft.simulation.event.EventProducer

`listeners`

### Fields inherited from interface nl.tudelft.simulation.event.EventProducerInterface

`FIRST_POSITION, LAST_POSITION`

### Constructor Summary

Constructors
Constructor and Description
`ExitCounter(String description, SimulatorInterface.TimeDouble simulator)` constructs a new ExitCounter.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `notify(EventInterface event)`

### Methods inherited from class nl.tudelft.simulation.dsol.statistics.Counter

`endOfReplication`

### Methods inherited from class nl.tudelft.simulation.jstats.statistics.Counter

`getCount, getDescription, getN, getTable, initialize, isInitialized, toString`

### Methods inherited from class nl.tudelft.simulation.jstats.statistics.StatisticsObject

`getSwingPanel`

### Methods inherited from class nl.tudelft.simulation.event.EventProducer

`addListener, addListener, addListener, addListener, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, removeAllListeners, removeAllListeners, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExitCounter

    public ExitCounter(String description,
                       SimulatorInterface.TimeDouble simulator)
                throws RemoteException

constructs a new ExitCounter.

Parameters:
  `description` - the description of the counter
  `simulator` - the simulator
Throws:
  `RemoteException` - on network failure

### Method Detail

#### notify

    public void notify(EventInterface event)

Specified by:
  `notify` in interface `EventListenerInterface`
Overrides:
  `notify` in class `Counter<Double,Double,SimTimeDouble>`